%define name	xdiskusage
%define version	1.48
%define release	%mkrel 7

Summary: 	Graphical display of disk usage
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		File tools
Source0: 	http://xdiskusage.sourceforge.net/%{name}-%{version}.tgz
# fixes x86_64 build errors: by AdamW 2007/07
Patch0:		xdiskusage-1.48-x86_64.patch
URL: 		http://xdiskusage.sourceforge.net
BuildRequires: 	fltk-devel
BuildRequires:	mesaglu-devel
BuildRequires:	libxinerama-devel
BuildRequires:	libxext-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	xdu
Provides:	xdu

%description
xdiskusage is a user-friendly program to show you what is using up all
your disk space. It is based on the design of xdu written by Phillip
C. Dykstra. Changes have been made so it runs "du" for you, and can 
display the free space left on the disk, and produce a PostScript 
version of the display.

%prep
%setup -q
%patch0 -p1 -b .x86_64

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
%makeinstall
ln -s %{name} %{buildroot}%{_bindir}/xdu

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/xdu
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 1.48-7mdv2011.0
+ Revision: 615521
- the mass rebuild of 2010.1 packages

* Mon Jan 18 2010 Jérôme Brenier <incubusss@mandriva.org> 1.48-6mdv2010.1
+ Revision: 493152
- rebuild for new fltk

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 1.48-5mdv2010.0
+ Revision: 445921
- rebuild

* Sun Aug 03 2008 Thierry Vignaud <tv@mandriva.org> 1.48-4mdv2009.0
+ Revision: 262307
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.48-3mdv2009.0
+ Revision: 256755
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.48-1mdv2008.1
+ Revision: 136579
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jul 20 2007 Adam Williamson <awilliamson@mandriva.org> 1.48-1mdv2008.0
+ Revision: 54054
- add missing buildrequires
- add patch0: fix x86_64 build
- Import xdiskusage

